- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- COPYRIGHT AND DISCLAIMERS
- AUTHOR

# NAME

Pod::Perldoc::BaseTo - Base for Pod::Perldoc formatters

# SYNOPSIS

        package Pod::Perldoc::ToMyFormat;

        use parent qw( Pod::Perldoc::BaseTo );
        ...

# DESCRIPTION

This package is meant as a base of Pod::Perldoc formatters, like Pod::Perldoc::ToText, Pod::Perldoc::ToMan, etc.

It provides default implementations for the methods

        is_pageable
        write_with_binmode
        output_extension
        _perldoc_elem

The concrete formatter must implement

        new
        parse_from_file

# SEE ALSO

perldoc

# COPYRIGHT AND DISCLAIMERS

Copyright (c) 2002-2007 Sean M. Burke.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.

# AUTHOR

Current maintainer: Mark Allen `<mallen@cpan.org>`

Past contributions from: brian d foy `<bdfoy@cpan.org>` Adriano R. Ferreira `<ferreira@cpan.org>`, Sean M. Burke `<sburke@cpan.org>`